Updates an Organization

put

/access-governance/service-administration/20250331/organizations/{organizationId}

Updates the Organization identified by the given identifier.

Request

Path Parameters
Header Parameters
  • The client request ID for tracing. The only valid characters for request IDs are letters, numbers, underscore, and dash.
Body ()
Information used to update an Organization.
Root Schema : UpdateOrganizationDetails
Type: object
Information used to update an Organization.
Show Source
Nested Schema : excludedIdentities
Type: array
Global Identity identifiers to explicitly exclude from the Organization.
Show Source
Nested Schema : includedIdentities
Type: array
Global Identity identifiers to explicitly include in the Organization.
Show Source
Nested Schema : owners
Type: array
Users who own the Organization.
Show Source
Nested Schema : tags
Type: array
List of tags to attach to the Organization.
Show Source
Nested Schema : OrganizationOwnerDetails
Type: object
Owner information supplied when creating or updating an Organization.
Show Source
Back to Top

Response

Supported Media Types

200 Response

The Organization was successfully updated.
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Organization
An Access Governance Organization.
Match All
An Access Governance Organization.
An Access Governance Organization.
Show Source
Nested Schema : OrganizationSummary
Type: object
Summarized Organization model.
Show Source
Nested Schema : Organization-allOf[1]
Type: object
Show Source
Nested Schema : Info
Type: object
Generic information object.
Show Source
Nested Schema : User
Type: object
Owner of a resource.
Show Source
Nested Schema : tags
Type: array
List of tags attached to the Organization.
Show Source
Nested Schema : owners
Type: array
List of owner entities
Show Source
Nested Schema : OwnerSummary
Type: object
Owner entity object
Show Source
Nested Schema : excludedIdentities
Type: array
Identities explicitly excluded from the Organization.
Show Source
Nested Schema : includedIdentities
Type: array
Identities explicitly included in the Organization.
Show Source
Nested Schema : owners
Type: array
Users who own the Organization.
Show Source
Nested Schema : OrganizationIdentityReference
Type: object
Reference to an Identity used to define Organization membership.
Show Source

400 Response

Bad Request
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source

401 Response

Unauthorized
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source

404 Response

Not Found
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source

412 Response

Precondition failed
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source

429 Response

Too Many Requests
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source

500 Response

Internal Server Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source

Default Response

Unknown Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source
Back to Top